org.apache.xmlbeans.impl.xb.ltgfmt

## Interface TestCase.Files

All Superinterfaces:
  XmlObject, XmlTokenSource

All Known Implementing Classes:
  TestCaseImpl.FilesImpl

Enclosing interface:
  TestCase

    public static interface TestCase.Files
    extends XmlObject

An XML files(@http://www.bea.com/2003/05/xmlbean/ltgfmt). This is a complex type.

### Field Summary

Fields
`static ElementFactory<TestCase.Files>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`FileDesc` `addNewFile()` Appends and returns a new empty value (as xml) as the last "file" element
`FileDesc[]` `getFileArray()` Gets array of all "file" elements
`FileDesc` `getFileArray(int i)` Gets ith "file" element
`List<FileDesc>` `getFileList()` Gets a List of "file" elements
`FileDesc` `insertNewFile(int i)` Inserts and returns a new empty value (as xml) as the ith "file" element
`void` `removeFile(int i)` Removes the ith "file" element
`void` `setFileArray(FileDesc[] fileArray)` Sets array of all "file" element
`void` `setFileArray(int i, FileDesc file)` Sets ith "file" element
`int` `sizeOfFileArray()` Returns number of "file" element

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final ElementFactory<TestCase.Files> Factory

#### type

    static final SchemaType type

### Method Detail

#### getFileList

    List<FileDesc> getFileList()

Gets a List of "file" elements

#### getFileArray

    FileDesc[] getFileArray()

Gets array of all "file" elements

#### getFileArray

    FileDesc getFileArray(int i)

Gets ith "file" element

#### sizeOfFileArray

    int sizeOfFileArray()

Returns number of "file" element

#### setFileArray

    void setFileArray(FileDesc[] fileArray)

Sets array of all "file" element

#### setFileArray

    void setFileArray(int i,
                      FileDesc file)

Sets ith "file" element

#### insertNewFile

    FileDesc insertNewFile(int i)

Inserts and returns a new empty value (as xml) as the ith "file" element

#### addNewFile

    FileDesc addNewFile()

Appends and returns a new empty value (as xml) as the last "file" element

#### removeFile

    void removeFile(int i)

Removes the ith "file" element